<?php

//Clase: Orden de Servicio
class clase
{
	var $nom_tabla = 'pvmesas';
	var  $id_mesa = '0';
	var  $cve_mesa = '0';
	var  $des_mesa = '0';
	var  $id_area = '0';
	//Funcion de Revision
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE id_mesa = '$this->id_mesa'";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	@$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";	
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "INSERT INTO $this->nom_tabla (cve_mesa, des_mesa, id_area)values('$this->cve_mesa', '$this->des_mesa', '$this->id_area')";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($id_mesa){
		$sql= "SELECT * FROM $this->nom_tabla WHERE id_mesa = '$id_mesa'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($id_mesa){
		$sql = "UPDATE $this->nom_tabla SET  cve_mesa = '$this->cve_mesa', des_mesa = '$this->des_mesa', id_area = '$this->id_area' where id_mesa = '$id_mesa'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($id_mesa){   
		$sql = "DELETE FROM $this->nom_tabla WHERE id_mesa = '$id_mesa'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>